Bug 1058 - [PATCH] fix potential 64bit pointer problems
Summary: [PATCH] fix potential 64bit pointer problems
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/r200 (show other bugs)
Version: git
Hardware: x86 (IA32) All
: high normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-12 04:09 UTC by Ronny V. Vindenes
Modified: 2009-08-24 12:22 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
int to ptrdiff_t fix (1.28 KB, patch)
2004-08-12 04:10 UTC, Ronny V. Vindenes
Details | Splinter Review

Description Ronny V. Vindenes 2004-08-12 04:09:09 UTC
r200 uses ints for pointer diffs which gives wrong result on 64bit arches with
enough memory. Attached patch converts r200 to use ptrdiff_t instead. I've
briefly checked the other drivers and found no problems.
Comment 1 Ronny V. Vindenes 2004-08-12 04:10:07 UTC
Created attachment 619 [details] [review]
int to ptrdiff_t fix
Comment 2 Eric Anholt 2004-09-29 17:40:32 UTC
Committed, thanks!
Comment 3 Adam Jackson 2009-08-24 12:22:38 UTC
Mass version move, cvs -> git


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.